<?php
/*
Widget Name: Music Store Product
Description: Inserts a product's shortcode.
Documentation: https://musicstore.dwbooster.com/documentation#product-shortcode
*/

class SiteOrigin_MusicStore_Product extends SiteOrigin_Widget
{
	function __construct()
	{
		parent::__construct(
			'siteorigin-musicstore-product',
			__('Music Store Product', MS_TEXT_DOMAIN),
			array(
				'description' 	=> __('Inserts the Product shortcode', MS_TEXT_DOMAIN),
				'panels_groups' => array('music-store'),
				'help'        	=> 'https://musicstore.dwbooster.com/documentation#product-shortcode'
			),
			array(),
			array(
				'product' => array(
					'type' => 'number',
					'label' => __("Enter the product's id", MS_TEXT_DOMAIN)
				),
				'layout' => array(
					'type' 		=> 'select',
					'label' 	=> __("Select the product's layout", MS_TEXT_DOMAIN),
					'default' 	=> 'store',
					'options' 	=> array(
						'store'  => __("Short", MS_TEXT_DOMAIN),
						'single' => __("Completed", MS_TEXT_DOMAIN)
					)
				)
			),
			plugin_dir_path(__FILE__)
		);
	} // End __construct

	function get_template_name($instance)
	{
        return 'siteorigin-ms-product-shortcode';
    } // End get_template_name

    function get_style_name($instance)
	{
        return '';
    } // End get_style_name

} // End Class SiteOrigin_MusicStore_Product

// Registering the widget
siteorigin_widget_register('siteorigin-musicstore-product', __FILE__, 'SiteOrigin_MusicStore_Product');